.slot-calendar, .sdc-datepicker, #ui-datepicker-div {

  .ui-widget {
    font-family: "Titillium Web", Geneva, Tahoma, sans-serif;
  }

  .ui-widget.ui-widget-content {
    border: 0;
  }

  .ui-widget-header {
    background: 0;
    color: #555;
    border: 0;
    font-size: 1.111em;
  }

  .ui-datepicker {
    table {
      font-size: .889em;
    }

    th {
      font-weight: 600;
      text-align: center;
      font-size: 1em;
    }

    td {
      margin: 1px;
      border: 1px solid #fff;
    }
  }

  .btn-ora {
    -webkit-box-shadow: 0 4px 14px 0 rgba(0, 0, 0, 0.17);
    -moz-box-shadow: 0 4px 14px 0 rgba(0, 0, 0, 0.17);
    box-shadow: 0 4px 14px 0 rgba(0, 0, 0, 0.17);
    background-color: #fff;
    margin-bottom: 16px;
    height: 56px;
    text-align: center;
    color: #4a4a4a;
    font-size: .889em;
    font-weight: 600;
    width: 100%;
  }

  .btn-ora.active {
    background-color: $primary;
    color: #fff;
  }

  .btn-ora:hover {
    box-shadow: 0 4px 14px 0 rgba(0, 0, 0, 0.35);
  }

  .btn-ora:focus {
    box-shadow: 0 0 0 2px $orange;
  }
}

.slot-calendar, .sdc-datepicker, #ui-datepicker-div{
  width: unset;

  .ui-datepicker-prev {
    left: 0;
    text-align: center;
    position: absolute;
    cursor: pointer;
    display: inline-block;
    font-weight: 600;
    text-decoration: none;
    vertical-align: middle;
    user-select: none;
    background-color: transparent;
    border: 0 solid transparent;
    padding: 0.375rem 0.75rem;
    font-size: 1rem;
    line-height: 1.5;
    border-radius: 50%;
    transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
    &:hover {
      background-color: $primary;
      color: #fff !important;
    }

    &:before {
      content: "<";
    }
  }

  .ui-datepicker-next {
    right: 0;
    text-align: center;
    position: absolute;
    cursor: pointer;
    display: inline-block;
    font-weight: 600;
    text-decoration: none;
    vertical-align: middle;
    user-select: none;
    background-color: transparent;
    border: 0 solid transparent;
    padding: 0.375rem 0.75rem;
    font-size: 1rem;
    line-height: 1.5;
    border-radius: 50%;
    transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;

    &:hover {
      background-color: $primary;
      color: #fff !important;
    }

    &:before {
      content: ">";
    }
  }
  .ui-datepicker {
    display: none;
    padding: .2em .2em 0;
    width: 17em;
  }

  .ui-datepicker .ui-datepicker-header {
    padding: .2em 0;
    position: relative;
  }

  .ui-datepicker .ui-datepicker-prev-hover, .ui-datepicker .ui-datepicker-next-hover { top: 1px; }

  .ui-datepicker .ui-datepicker-prev { left: 2px; }

  .ui-datepicker .ui-datepicker-next { right: 2px; }

  .ui-datepicker .ui-datepicker-prev-hover { left: 1px; }

  .ui-datepicker .ui-datepicker-next-hover { right: 1px; }

  .ui-datepicker .ui-datepicker-prev span, .ui-datepicker .ui-datepicker-next span {
    display: block;
    left: 50%;
    margin-left: -8px;
    margin-top: -8px;
    position: absolute;
    top: 50%;
  }

  .ui-datepicker .ui-datepicker-title {
    line-height: 1.8em;
    margin: 0 2.3em;
    text-align: center;
  }

  .ui-datepicker .ui-datepicker-title select {
    font-size: 1em;
    margin: 1px 0;
  }

  .ui-datepicker select.ui-datepicker-month-year { width: 100%; }

  .ui-datepicker select.ui-datepicker-month,
  .ui-datepicker select.ui-datepicker-year { width: 49%; }

  .ui-datepicker table {
    border-collapse: collapse;
    font-size: .9em;
    margin: 0 0 .4em;
    width: 100%;
  }

  .ui-datepicker th {
    border: 0;
    font-weight: bold;
    padding: .7em .3em;
    text-align: center;
  }

  .ui-datepicker td {
    border: 0;
    padding: 1px;
  }

  .ui-datepicker td span, .ui-datepicker td a {
    display: block;
    padding: .2em;
    text-decoration: none;
    color: #555;
    font-weight: 600;
    border-radius: 50px;
    margin: 0 auto;
    width: 32px;
    height: 32px;
    text-align: center;
    -webkit-transition: .3s;
    transition: .3s;
  }

  .ui-widget-header {
    .ui-state-default {
      border: 0;
      background: transparent;
      font-weight: 600;
      color: #555;
      border: 1px solid transparent;
    }

    .ui-state-active {
      background-color: $primary;
      -webkit-box-shadow: 5px 5px 20px 0 rgba(0, 0, 0, 0.1);
      -moz-box-shadow: 5px 5px 20px 0 rgba(0, 0, 0, 0.1);
      box-shadow: 5px 5px 20px 0 rgba(0, 0, 0, 0.1);
      color: #fff !important;
    }

    .ui-state-hover {
      color: #555;
      font-weight: 600;
      border: 1px solid $primary;
      border-radius: 50%;
    }

    .ui-state-focus {
      color: #555;
      font-weight: 600;
      border: 1px solid $primary;
      border-radius: 50%;
    }

    .ui-icon {
      background: 0;
    }
  }

}

.ui-state-default {
  border: 0;
  background: transparent;
  font-weight: 600;
  color: #555;
  border: 1px solid transparent;
}

.ui-widget-content {
  .ui-state-default {
    border: 0;
    background: transparent;
    font-weight: 600;
    color: #555;
    border: 1px solid transparent;
  }

  .ui-state-active {
    background-color: $primary;
    -webkit-box-shadow: 5px 5px 20px 0 rgba(0, 0, 0, 0.1);
    -moz-box-shadow: 5px 5px 20px 0 rgba(0, 0, 0, 0.1);
    box-shadow: 5px 5px 20px 0 rgba(0, 0, 0, 0.1);
    color: #fff  !important;
    td a {
      color: #fff !important;
    }
  }

  .ui-state-hover {
    color: #555;
    font-weight: 600;
    border: 1px solid $primary;
    border-radius: 50%;
  }

  .ui-state-focus {
    color: #555;
    font-weight: 600;
    border: 1px solid $primary;
    border-radius: 50%;
  }
}



.ui-button {
  border: 0;
  background: transparent;
  font-weight: 600;
  color: #555;
  border: 1px solid transparent;

  &:active {
    background-color: $primary;
    -webkit-box-shadow: 5px 5px 20px 0 rgba(0, 0, 0, 0.1);
    -moz-box-shadow: 5px 5px 20px 0 rgba(0, 0, 0, 0.1);
    box-shadow: 5px 5px 20px 0 rgba(0, 0, 0, 0.1);
    color: #fff;
  }

  &:hover {
    color: #555;
    font-weight: 600;
    border: 1px solid $primary;
    border-radius: 50%;
  }

  &:focus {
    color: #555;
    font-weight: 600;
    border: 1px solid $primary;
    border-radius: 50%;
  }
}

.ui-state-active {
  background-color: $primary;
  -webkit-box-shadow: 5px 5px 20px 0 rgba(0, 0, 0, 0.1);
  -moz-box-shadow: 5px 5px 20px 0 rgba(0, 0, 0, 0.1);
  box-shadow: 5px 5px 20px 0 rgba(0, 0, 0, 0.1);
  color: #fff;
}

a.ui-button {
  &:active {
    background-color: $primary;
    -webkit-box-shadow: 5px 5px 20px 0 rgba(0, 0, 0, 0.1);
    -moz-box-shadow: 5px 5px 20px 0 rgba(0, 0, 0, 0.1);
    box-shadow: 5px 5px 20px 0 rgba(0, 0, 0, 0.1);
    color: #fff;
  }
}

.ui-button.ui-state-active {
  &:hover {
    background-color: $primary;
    -webkit-box-shadow: 5px 5px 20px 0 rgba(0, 0, 0, 0.1);
    -moz-box-shadow: 5px 5px 20px 0 rgba(0, 0, 0, 0.1);
    box-shadow: 5px 5px 20px 0 rgba(0, 0, 0, 0.1);
    color: #fff;
  }
}

.ui-datepicker-calendar {
  .ui-datepicker-today {
    a.ui-state-active {
      background-color: $primary;
      -webkit-box-shadow: 5px 5px 20px 0 rgba(0, 0, 0, 0.1);
      -moz-box-shadow: 5px 5px 20px 0 rgba(0, 0, 0, 0.1);
      box-shadow: 5px 5px 20px 0 rgba(0, 0, 0, 0.1);
      color: #fff;
    }

    a {
      border: 1px solid $primary;
      background: transparent;
      -webkit-box-shadow: none;
      -moz-box-shadow: none;
      box-shadow: none;
      color: #555;
    }
  }

  td.ui-state-disabled {
    opacity: 0.6;
    background-color: #ddd;
  }

  td.ui-datepicker-other-month {
    &:before {
      background: 0;
      content: none;
    }
  }
}

.ui-state-hover {
  color: #555;
  font-weight: 600;
  border: 1px solid $primary;
  border-radius: 50%;
}

.ui-state-focus {
  color: #555;
  font-weight: 600;
  border: 1px solid $primary;
  border-radius: 50%;
}

@media(max-width: 767px) {
  .ui-datepicker {
    width: 100%;
    margin-bottom: 40px;
  }

  .slot-calendar {
    .ui-datepicker {
      table {
        font-size: 1em;
      }

      th {
        text-align: left;
        padding-left: 0;

        span {
          text-align: center;
          width: 40px;
          display: block;
        }
      }
    }
  }

  .ui-state-default {
    height: 60px;
    display: flex;
    align-items: center;
    justify-content: center;
  }

  .ui-widget-content {
    .ui-state-default {
      height: 60px;
      display: flex;
      align-items: center;
      justify-content: center;
    }
  }

  .ui-widget-header {
    .ui-state-default {
      height: 60px;
      display: flex;
      align-items: center;
      justify-content: center;
    }
  }

  .ui-button {
    height: 60px;
    display: flex;
    align-items: center;
    justify-content: center;
  }

}


#ui-datepicker-div{

  width: 320px;
  td a {
    text-align: center;
  }
}

#slot-picker{
  button.disabled{
    pointer-events: none;
    background: linear-gradient(to top left, #fff calc(50% - 2px), #d9364f, #fff calc(50% + 2px));
    color: #4a4a4a;
  }
}

@media (min-width: 768px) {
  #slot-picker {
    margin-left: 1rem;
  }
}

//Ion.RangeSlider
.irs--modern .irs-handle>i:nth-child(1) {
  width: 8px!important;
  height: 8px!important;
}

.irs--modern .irs-bar {
  height: 10px !important;
  background: $primary!important;
}
.irs--modern .irs-from, .irs--modern .irs-to, .irs--modern .irs-single {
  font-size: 15px !important;
  font-family: 'Titillium Web', serif;
  background-color: $primary!important;
}
.irs--modern .irs-from:before, .irs--modern .irs-to:before, .irs--modern .irs-single:before {
  border-top-color: $primary!important;
}

.irs--modern .irs-line {
  height: 10px !important;
}

.irs--modern .irs-min, .irs--modern .irs-max {
  font-size: 15px !important;
  font-family: 'Titillium Web', serif;
}
